Send MM Lite message with GIF template

Sends a marketing WhatsApp message using a GIF-based template.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Request

curl --location --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/onboarding/marketing/msg' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "recipient_type": "individual",
    "messaging_product": "whatsapp",
    "to": "{{DESTINATION}}",
    "type": "template",
    "template": {
        "name": "{{TEMPLATE_NAME}}",
        "language": {
            "policy": "deterministic",
            "code": "{{LANGUAGE_CODE}}"
        },
        "namespace": "{{NAMESPACE}}",
        "components": [
            {
                "type": "header",
                "parameters": [
                    {
                        "type": "GIF",
                        "gif": {
                            "link": "{{GIF_URL}}"
                        }
                    }
                ]
            },
            {
                "type": "body"
            }
        ]
    }
}'

Response

Status codeResponseComments
200
{
    "messages": [
        {
            "id": "1ceeb739-06cd-4434-a1e0-8afac154ede4"
        }
    ],
    "messaging_product": "whatsapp",
    "contacts": [
        {
            "input": "9188889945",
            "wa_id": "9188898545"
        }
    ]
}
429
{"status": "error", "message": "Too Many Requests"} 
10 Requests per Minute
500
{"status": "error", "message": "Internal server error. Please try again later and If Issue still persist then contact Gupshup Dev Support"} 
For any Internal Error

Request Parameters

Headers

KeyDescriptionValueData TypeRequired/ OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token

Path Parameters

KeyDescriptionValueData TypeRequired/ OptionalConstraints
APP_IDApp ID to fetch the access token{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup. The App must be associated with the account that owns the PARTNER_APP_TOKEN being used

JSON Body Parameters

KeyDescriptionValueData TypeRequired/ OptionalConstraints
recipient_typeType of recipientindividualStringRequiredMust be "individual" for single recipient
messaging_productMessaging platformwhatsappStringRequiredMust be "whatsapp"
toDestination Phone Number{{DESTINATION}}StringRequiredValid phone number with country code
typeMessage typetemplateStringRequiredMust be "template" for template messages
templateTemplate object containing template detailsSee template structure belowObjectRequiredMust include name, language, namespace, and components

Template Object Structure

KeyDescriptionValueData TypeRequired/ OptionalConstraints
nameTemplate name{{TEMPLATE_NAME}}StringRequiredMust be an approved template name t
languageLanguage object{"policy": "deterministic", "code": "en"} ObjectRequiredContains policy and language code
namespaceTemplate namespace{{NAMESPACE}}StringRequiredWABA namespace for the template
componentsArray of template components
{
  "components": [
    {
      "type": "header",
      "parameters": [
        {
          "type": "GIF",
          "gif": {
            "link": "{{GIF_URL}}"
          }
        }
      ]
    },
    {
      "type": "body"
    }
  ]
}
ArrayRequiredMust include header and body components

Path Params
string
required

App ID associated with the Partner account

Body Params
string
enum
required
Allowed:
string
enum
required
Allowed:
string
required
string
enum
required
Allowed:
template
object
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json